clustalw (2.1+lgpl-6) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * d/rules:
     - drop now unneeded hack to remove aclocal dir
     - drop explicit mentioning of autotools_dev

 -- Andreas Tille <tille@debian.org>  Sat, 14 Jul 2018 17:09:36 +0200

clustalw (2.1+lgpl-5) unstable; urgency=medium

  [ Canberk Koç ]
  * Team upload
  * autopkgtest added

  [ Andreas Tille ]
  * cme fix dpkg-control
  * fix spelling
  * hardening=+all

 -- Canberk Koç <canberkkoc@gmail.com>  Fri, 22 Jul 2016 04:04:40 +0300

clustalw (2.1+lgpl-4) unstable; urgency=medium

  * use dh_autotools-dev to update config.{sub,guess} (Thanks for the patch
    to Adam Conrad <adconrad@debian.org>)
    Closes: #729789
  * Standards-Version: 3.9.5 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Dec 2013 09:18:40 +0100

clustalw (2.1+lgpl-3) unstable; urgency=low

  * debian/upstream: very small fix to prevent bibcheck warning
  * debian/control:
     - cme fix dpkg-control
     - update direct link to homepage
     - debhelper 9
     - canonical Vcs URLs
     - remove cdbs from Build-Depends
  * debian/rules: use dh
  * debian/copyright: DEP5

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2013 09:07:02 +0100

clustalw (2.1+lgpl-2) unstable; urgency=low

  * Removed obsolete comment in debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Mon, 07 Feb 2011 12:08:53 +0900

clustalw (2.1+lgpl-1) unstable; urgency=low

  * New upstream archive, that makes clear the relicensing to LGPL-3+.
    - Mangled debian version name in debian/watch.
    - Explained why ‘+lgpl’ in debian/README.Debian.
    - Removed XS-Autobuild field from debian/control.
    - Changed archive area in debian/control.
    - Updated license in debian/copyright and debian/clustalw.1*
    - Removed obsoleted lintian override (debian/clustalw.lintian-overrides).
    - Removed Commercial field in debian/upstream-metadata.yaml.
  * Removed un-needed documentation (debian/clustalw.docs).
  * Source package hosted in a Git repository (debian/control).
  * Use debhelper 8 (debian/control, debian/compat).

 -- Charles Plessy <plessy@debian.org>  Sat, 29 Jan 2011 19:59:40 +0900

clustalw (2.1-1) unstable; urgency=low

  * New upstream version
  * Added myself to uploaders
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/rules: added get-upstream-changelog target and used
    it to obtain upstream changelog in debian/CHANGELOG.upstream
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 14:07:24 +0100

clustalw (2.0.12-1) unstable; urgency=low

  * New upstream release fixing many bugs
    (see /usr/share/doc/clustalw/CHANGELOG).
  * Updated debian/watch to latest upstream names (Closes: #550895).
  * debian/control:
    - Added ${misc:Depends} substitition variable.
    - Incremented Standards-Version to reflect conformance with
      Policy 3.8.3 (no changes needed).
    - Removed the citation information from the package long description.
  * Manpages debian/clustalw.1* refreshed.
  * Updated debian/copyright to the latest experimentation on the format.
  * Added various Upstream informations in debian/upstream-metadata.yaml.
  * Moved the upstream changelog and the test data to the debian directory.
    (debian/rules, debian/clustalw.examples).

 -- Charles Plessy <plessy@debian.org>  Wed, 14 Oct 2009 13:47:28 +0900

clustalw (2.0.10-1) unstable; urgency=low

  * New upstream release:
    - New -quiet and -stats=<file> command line flags.
    - command separator can now be mixed "/" and "-" on all platforms.
  * debian/clustalw.1*:
    - added new option and incremented version number.
    - using Docbook 4.5.
  * Added bibliographic information in BibTeX format in debian/reference.
  * Using Debhelper 7 (debian/control, debian/compat).
  * Enhances: bioperl-run (it has a wrapper for clustalw).
  * debian/overrides/clustalw renamed debian/clustalw.lintian-overrides,
    and is not anymore installed by dh_install (dh_lintian, called by
    CDBS, takes care of it).

 -- Charles Plessy <plessy@debian.org>  Sun, 07 Dec 2008 19:37:06 +0900

clustalw (2.0.9-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/to_build_with_g++-4.3.patch was accepted upstream
    and therefore removed here.
  * debian/copyright: added a disclaimer clarifying that this package is not
    part of the Debian operating system (requirement of Policy 3.8.0).
  * debian/control:  
    - Updated Standards-Version to 3.8.0.
    - Enhances: emboss (EMBOSS has a wrapper for clustalw, `emma'.)
  * debian/clustaw.1*: incremented version number.

 -- Charles Plessy <plessy@debian.org>  Tue, 24 Jun 2008 13:28:22 +0900

clustalw (2.0.8-1) unstable; urgency=low

  * New upstream release.
    - Implemented maxseqlen cmdline switch.
    - Updated help-file.
    - Fixed various bugs and possible memory leaks
      (see /usr/share/doc/clustalw/CHANGELOG)
  * debian/clustalw.1*:
    - Added new option;
    - incremented version number.
  * debian/copyright lifted to the latest draft format version.
  * debian/patches/to_build_with_g++-4.3.patch.
    (Submitted and accepted upstream for 2.0.9).

 -- Charles Plessy <plessy@debian.org>  Wed, 04 Jun 2008 18:04:17 +0900

clustalw (2.0.7-1) unstable; urgency=low

  * New upstream release.
    - Fixes bug 121: CRLF  in sequence names (Pearson) are not trimmed.
    - Fixes bug 122: convert option broken.
    - Fixes reopened bug 114: profile alignment input didn't work with new
      getSeqRange routines.
    - Fixes bug 119: build with g++ 4.3.
  * Removed debian/patches/bug_119_gpp4.3-autoptr.patch, obsoleted by the
    above correction. 
  * Incremented version number in debian/clustalw.1*
  * Uptated debian/copyright to the latest draft of the format.

 -- Charles Plessy <plessy@debian.org>  Wed, 14 May 2008 09:07:26 +0900

clustalw (2.0.6-1) unstable; urgency=low

  [Charles Plessy]
  * New upstream release:
    - Bugs fixed (fasta input performance, segfault with secondary structure
      mask)
    - Allows mixed-case command line options.
    - Removed unncessary id console output in EMBLFileParser.cpp
  * Updated my email address (debian/control, debian/copyright,
    debian/clustaw.1*).
  * debian/patches/bug_119_gpp4.3-autoptr.patch: upstream patch to build
    clustalw with g++-4.3.

  [Morten Kjeldgaard]
  * debian/clustalw.1*: restored the introduction from Stéphane
    Bortzmeyer original manpage.
  * debian/copyright: updated information about the manpage.

 -- Charles Plessy <plessy@debian.org>  Fri, 02 May 2008 10:38:25 +0900

clustalw (2.0.5-1) unstable; urgency=low

  * New upstream release (fixes problems with gaps).
  * debian/copyright:
    Added a X-Non-Free-Autobuild field to fullfill requirements from
    http://lists.debian.org/msgid-search/20061129152824.GT2560@mails.so.argh.org
  * Updated CHANGELOG from http://www.clustal.org/download/current/CHANGELOG
  * debian/clustalw.1.xml, rewritten from scratch.
  * debian/clustalw.q: updated from the DocBook sources (Closes: #463591).

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Thu, 20 Mar 2008 15:42:38 +0900

clustalw (2.0.4-1) unstable; urgency=low

  [ Steffen Moeller ]
  * New upstream release
    - Includes new code for UPGMA guide trees. (v. 2.0.0)
    - Includes iterative alignment facility. (v. 2.0.0)
    - fixed bug where Pseudo -FASTA format files were not being processed
      as previously in v1.83 (v. 2.0.3)
    - fixed other bugs to behave more like 1.83, and introduced a new
      '-fullhelp' option. (v 2.0.4) 
  * updated debian/watch
  * moved clustalw.1 into debian folder (easier to work
    with svn-buildpackage)
  * removed README and LICENSE from svn since these are
    now distributed with the upstream sources

  [ Charles Plessy ]
  * debian/copyright made machine-readable.
  * Clustal X is now built in a separate source package.
    (Closes: #469442, #469443)
  * Switched to CDBS.
  * Added lintian override for the presence of /usr/share/doc/clustalw/LICENSE.
  * debian/control:
    - Allowed upload by Debian maintainers.
    - Checked conformance with Policy 3.7.3 (no changes needed).

  [ David Paleino ]
  * debian/control:
    - fixed Debian capitalisation (see bug #456582)

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sun, 09 Mar 2008 22:28:10 +0900

clustalw (1.83-3) unstable; urgency=low

  [ Nelson A. de Oliveira ]
  * Added watch file, debian/rules get-orig-source
    should be used to download the orig.tar.gz, not uscan.

  [ Charles Plessy ]
  * Build-depend on libncbi6-dev instead of ncbi-tools6-dev.

  [ Steffen Moeller ]
  * Added dependency to later version lesstif2 (Closes:#429480).
  * The recompilation against libvibrant6 was probably
    already fixed in an earlier version, certainly it is now
    (Closes:#378483).

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Wed, 12 Sep 2007 16:50:37 +0900

clustalw (1.83-2) unstable; urgency=low

  [ Steffen Moeller ]
  * Help now works in ClustalX (Closes:#215414).
  * debian/control:
    - removed [biology] tag and improved debtags
    - better formatting/wording
    - suggesting alignment pretty-printers

  [ Charles Plessy ]
  * Add Subversion repository URL to debian/control.
  * FreeDesktop menu added (Closes: #380715)
  * Acknowledge NMU, thanks to Kai and Fabio. (Closes: #374241, #359712)
  * Collaborative maintainance: the maintainer is a mailing list, Steffen
    Moëller and Charles Plessy are uploaders.
  * Upgraded to debhelper 5.
  * Modified the copyright file to mention that it is not disallowed to use
    autobuilders to create binary packages.
  * Debian Menu transition: Apps/Science becomes Applications/Science/Biology.
  * Fixed a typo in clustalw.menu (Closes: #428518)
  * Updated Steffen's email adress.
  * Using quilt to manage the changes to the sources.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Sun, 12 Aug 2007 23:06:39 +0900

clustalw (1.83-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * No changes, let's try to trigger again the builders.

 -- Fabio Tranchitella <kobold@debian.org>  Fri, 10 Nov 2006 09:16:45 +0100

clustalw (1.83-1.1) unstable; urgency=low 

  * Non-maintainer upload.
  * lesstif1 is deprecated, transition to lesstif2 (Closes: #374241)
  * Dead link in the package description (Closes: #359712)
  * Updated standards version, binary-indep rule required

 -- Kai Hendry <hendry@iki.fi>  Mon, 10 Jul 2006 11:04:05 +0900

clustalw (1.83-1) unstable; urgency=low

  * New upstream version
  * New maintainer
  * Reapplied patches from 1.82-3
  * Removed calls to insecure gets
  * Cosmetics to makefile
  * Extension of description
  * Standards-Version: 3.5.10
  * Increased version of debhelper: Build-Depends: debhelper (>= 4)
  * Used debian/compat for debhelper version
  * Replaces *.files by *.install, *.docs, *.manpages and used the
    apropriate tools in debian/rules
  * Moved clustalx to /usr/bin because it does not *belong* to the
    X11 system
  * Moved the manpage clustalx.1x to clustalx.1 accordingly.
  * Removed debian/dirs
  * Added menu entries

 -- Steffen Moeller <moeller@pzr.uni-rostock.de>  Mon, 23 Jun 2003 19:26:29 +0100

clustalw (1.82-3) unstable; urgency=low

  * "My-wifes-Katrin-Birthday"-release (even if I doubt that she is very
    interested in Debian packaging details)
  * Fix a buffer override
    closes: #135255

 -- Andreas Tille <tille@debian.org>  Wed, 27 Feb 2002 07:26:29 +0100

clustalw (1.82-2) unstable; urgency=low

  * also compile GUI clustalx which is included in the sources now

 -- Andreas Tille <tille@debian.org>  Sat,  3 Nov 2001 14:41:50 +0100

clustalw (1.82-1) unstable; urgency=low

  * New maintainer
    closes: #100213
  * New upstream version
    closes: #40904
  * Standards-Version: 3.5.6
  * Moved help file to /usr/share/clustalw/clustalw_help because it
    is architecture independend
  * Added URL to the package description because I consider this as
    "good style" to have an upstream link without installing the package
  * Fixed a typo in the examples Makefile which was shiped with the
    Debian package:
     clustalw -profile -profile1=nuc.aln -profile2=nuc2.aln -outfile=profile.aln
                                                      ^ this 2 was missing

 -- Andreas Tille <tille@debian.org>  Mon, 29 Oct 2001 21:40:20 +0100

clustalw (1.7-9) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 21:09:56 +0200

clustalw (1.7-8) unstable; urgency=low

  * Adopted by new maintainer; closes: #92790 
  * Updated to latest standards version and added Build-Depends (changed
    makefile, control, dirs, docs, and rules); closes: #91132, #91411
  * Deleted empty README.Debian file.
  * Corrected doc path in manpage.
  * Moved package to section non-free/science, because it is a tool that
    is exclusively useful for molecular biologists.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Fri, 20 Apr 2001 19:08:00 +0200

clustalw (1.7-7) unstable; urgency=low

  * Better extended description. Closes #31475.
  * Manual page. Closes #31382.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 31 Mar 1999 10:50:02 +0200

clustalw (1.7-6) unstable; urgency=low

  * Yet another attempt to get past rejection :-) Licence is now included
    in the copyright file.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Sat, 19 Dec 1998 15:29:40 +0100

clustalw (1.7-5) unstable; urgency=low

  * A LICENCE is now included, non-free unfortunately.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Thu, 17 Dec 1998 14:48:43 +0100

clustalw (1.7-4) unstable; urgency=low

  * Compiles with -mieee on the Alpha: otherwise, floating exception since 
    ClustalW divides by zero (yuck!)

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  2 Dec 1998 16:16:02 +0100

clustalw (1.7-3) unstable; urgency=low

  * Tests and samples added
  * On line help file added 

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue,  1 Dec 1998 15:57:50 +0100

clustalw (1.7-2) unstable; urgency=low

  * Switch to dh_make
  * First public release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Tue,  1 Dec 1998 15:25:13 +0100

clustalw (1.7-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@pasteur.fr>  Fri, 28 Aug 1998 16:09:48 +0200
